- Home
- Packages
- Forums
- Wiki
- Bugs
- AUR
- Download

# Tcc

From ArchWiki

Tcc is a small and fast C compiler.

## Installation

Install tcc form the Official Repositories.

## Usage

Tcc is similar to gcc, but it can also run C programs without compiling. For example,

     tcc -run foo.c

You can make a C source file executed by gcc by adding a shebang

     #!/usr/bin/tcc -run

## See also

- Wikipedia article about tcc
- Clang

Retrieved from "https://wiki.archlinux.org/index.php?title=Tcc&oldid=235955"
Category:

- Development

## Navigation menu